Subject: Versatile Express randomly fails to boot - Versatile Express to be removed from nightly testing

From: [email-masked] (Sudeep Holla)
Date: Tue, 14 Jun 2016 17:44:26 +0100

Hi Russell,

On 14/06/16 16:52, Russell King - ARM Linux wrote:
> On Tue, Jun 14, 2016 at 04:31:25PM +0100, Jon Medhurst (Tixy) wrote:
>> Using "arm,tag-latency = <2 2 1>" as Russell seemed to indicate [2]
>> fixed things for him, also works for me. So should we update mainline
>> device-tree with that?
>
> I've proposed that several times, and there seems to be no desire to
> do so.

Sorry for missing that. IIRC, we didn't conclude as <2 2 1> did fail
on continuous reboot test over night on my setup. As I mentioned early 
we can change to this new value if people are able to use it reliably.

> For me, VE CT9x4 no longer boots in my nightly builds, and
> my plan at the start of the year was to take it out of both the
> nightly builds and the boot tests - no one within ARM seems to have
> any interest in the platform.
>

It's hard to get any kind of attention from hardware guys for such an
old platform.

> Having a randomly failing platform due to hardware issues is not
> productive to an automated boot test system, so I think we should
> (a) remove it from automated testing, and (b) consider deleting
> support for it from the kernel tree, as it seems there is little
> interest in debugging what's happening.
>

Even with higher latency if the platform is unusable, I agree to remove.
If you think it's usable with the updated latency(<2 2 1>) then we can
update it.

-- 
Regards,
Sudeep